# RPM Spec file for mod_multipart

Name:      mod_multipart
Version:   2.4.0
Release:   1%{?dist}
Summary:   Apache httpd multipart module
License:   ASL 2.0
Group:     System Environment/Daemons
Source:    https://github.com/minfrin/%{name}/releases/download/%{name}-%{version}/%{name}-%{version}.tar.bz2
Url:       https://github.com/minfrin/%{name}
BuildRequires: gcc, pkgconfig(apr-1), pkgconfig(apr-util-1), (httpd-devel or apache-devel or apache2-devel)
Requires: (httpd or apache or apache2)

%description
The Apache mod_multipart module provides a set of filters that
can parse and interpret multipart MIME content.

%package devel
Group: Development/Libraries
Summary: Development tools for the mod_multipart filters.
Requires: (httpd-devel or apache-devel or apache2-devel)

%description devel
Header file for the mod_multipart filters implementing multipart MIME parsing.

%prep
%setup -q
%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%if 0%{?sle_version} || 0%{?is_opensuse}
%{_libdir}/apache2/mod_multipart.so
%else
%{_libdir}/httpd/modules/mod_multipart.so
%endif

%files devel
%if 0%{?sle_version} || 0%{?is_opensuse}
%{_includedir}/apache2/mod_multipart.h
%else
%{_includedir}/httpd/mod_multipart.h
%endif

%doc AUTHORS ChangeLog README.md

%changelog
* Wed Oct 20 2021 Graham Leggett <minfrin@sharp.fm> - 2.4.0-1
- Initial version of the package

